- Qt 5.5
- Qt Sensors
- C++ Classes
- QCompassReading
- Qt 5.5.1 Reference Documentation

# QCompassReading Class

The QCompassReading class represents one reading from a compass. More...

Header: | #include <QCompassReading>
qmake: | QT += sensors
Since: | Qt 5.1
Inherits: | QSensorReading

- List of all members, including inherited members

## Properties

- azimuth : const qreal
- calibrationLevel : const qreal

- 1 property inherited from QSensorReading

## Public Functions

qreal | azimuth() const
qreal | calibrationLevel() const
void | setAzimuth(qreal azimuth)
void | setCalibrationLevel(qreal calibrationLevel)

- 4 public functions inherited from QSensorReading

## Detailed Description

The QCompassReading class represents one reading from a compass.

#### QCompassReading Units

The compass returns the azimuth of the device as degrees from magnetic north in a clockwise direction based on the top of the device, as defined by QPlatformScreen::nativeOrientation. There is also a value to indicate the calibration status of the device. If the device is not calibrated the azimuth may not be accurate.

Digital compasses are susceptible to magnetic interference and may need calibration after being placed near anything that emits a magnetic force. Accuracy of the compass can be affected by any ferrous materials that are nearby.

The calibration status of the device is measured as a number from 0 to 1. A value of 1 is the highest level that the device can support and 0 is the worst.

See also CS001671 - Calibrating the magnetometer sensor.

## Property Documentation

### azimuth : const qreal

This property holds the azimuth of the device.

Measured in degrees from magnetic north in a clockwise direction based on the top of the device, as defined by QPlatformScreen::nativeOrientation.

Access functions:

qreal | azimuth() const

See also QCompassReading Units.

### calibrationLevel : const qreal

This property holds the calibration level of the reading.

Measured as a value from 0 to 1 with higher values being better.

Access functions:

qreal | calibrationLevel() const

See also QCompassReading Units and CS001671 - Calibrating the magnetometer sensor.

## Member Function Documentation

### void QCompassReading::setAzimuth(qreal azimuth)

Sets the azimuth of the device.

See also azimuth() and QCompassReading Units.

### void QCompassReading::setCalibrationLevel(qreal calibrationLevel)

Sets the calibration level of the reading to calibrationLevel.

See also calibrationLevel().